PUT /schedule_distributions/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/schedule_distributions/:id

Update Distribution by id.

Updates a Lead Distribution rule's target schedule or description. The source schedule and filter group are set at creation and are not part of this endpoint's editable fields.

Params

Param name Description
schedule_id
Optional Blank value allowed

Schedule

target_schedule_id
Optional Blank value allowed

Target Schedule

  • Must be a decimal number.

filter_group_id
Optional Blank value allowed

The lead will be moved to the target schedule when it matches this Filter Group.

name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

token_value_ids
Optional Blank value allowed

Leads matching these tokens will be moved to the target schedule.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"